### Function

# Gegl parallel_distribute

since: 0.4

#### Declaration [src]

    void
    gegl_parallel_distribute (
      gint max_n,
      GeglParallelDistributeFunc func,
      gpointer user_data
    )

#### Description [src]

Distributes the execution of a function across multiple threads, by calling it with a different index on each thread.

Available since: 0.4

#### Parameters

`max_n`

  Type: `gint`

  The maximal number of threads to use.

`func`

  Type: `GeglParallelDistributeFunc`

  The function to call.

`user_data`

  Type: `gpointer`

  User data to pass to the function.

  The argument can be `NULL`.
  The data is owned by the caller of the function.